import { NgClass } from '@angular/common';
import { Component, input } from '@angular/core';
import { NgxEchartsDirective } from 'ngx-echarts';
import { EChartsOption } from 'echarts';
@Component({
  selector: 'spk-echarts',
  imports: [NgxEchartsDirective, NgClass],
  templateUrl: './spk-echarts.html',
  styleUrl: './spk-echarts.scss'
})
export class SpkEcharts {
  options = input<EChartsOption>()
  id = input<string>()
  echartClass = input<string>()
  theme = input<string>()
}
